Đến nội dung


Hình ảnh
- - - - -

Lisp xoay bản vẽ trong khung chữ nhật Layout


  • Please log in to reply
31 replies to this topic

#1 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 12 September 2013 - 09:30 PM

Có ai không giúp mình với!

Cảm ơn trước

Mình đánh

 

MVSETUP      enter

ALINGN          enter

ROTATE        enter

chọn điểm gốc xoay    enter

đánh góc xoay: 45      enter

thì nó xoay

Nhưng khi viết Lisp:

 

 

(command " MVsetup" "Align" ".rotate" (list 0 0) 45)

thì nó lại báo:  unknown MVSETUP

xin mọi người chỉ giáo cho


  • 0

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 13 September 2013 - 07:23 AM

MVSETUP không phải là lệnh gốc của Cad nên không thể dùng hàm command để gọi nó được.

Nó là 1 lệnh Lisp nên chỉ có thể gọi bằng (c:mvsetup).

Để có thể gọi với các tham số kèm theo như của bạn thì bạn cần xâm nhập vào hàm c:mvsetup để tìm hiểu, ở file "mvsetup.lsp" thuộc thư mục support của cad.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 13 September 2013 - 07:43 AM

Cảm ơn Bạn Hà Nhé để mình thử xem


  • 0

#4 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 13 September 2013 - 08:17 AM

 

MVSETUP không phải là lệnh gốc của Cad nên không thể dùng hàm command để gọi nó được.

Nó là 1 lệnh Lisp nên chỉ có thể gọi bằng (c:mvsetup).

Để có thể gọi với các tham số kèm theo như của bạn thì bạn cần xâm nhập vào hàm c:mvsetup để tìm hiểu, ở file "mvsetup.lsp" thuộc thư mục support của cad.

Mình vào đây nhưng thấy "mvsetup.lsp" dài quá không tìm ra

Có ai biết không chỉ giáo chi mình với


  • 0

#5 ThuyLinh313

ThuyLinh313

    biết lệnh mtext

  • Members
  • PipPipPipPip
  • 288 Bài viết
Điểm đánh giá: 142 (tàm tạm)

Đã gửi 13 September 2013 - 08:50 AM

Viết chi cho nhọc hả bạn? dùng lệnh alignSpace đi bạn, mình cũng toàn dùng lệnh này


  • 0

#6 Namvanvo

Namvanvo

    Edu level: li5

  • Members
  • PipPipPipPipPip
  • 386 Bài viết
Điểm đánh giá: 42 (tàm tạm)

Đã gửi 13 September 2013 - 08:53 AM

theo gợi ý của a Doan Van Ha thì mình gọi dc lệnh mvsetup ra nhưng k gọi được những option của nó  :D  :D  :D

(command (c:mvsetup) "align" "Rotate" (list 0 0 0)  "45" "")

bắt đầu từ chỗ align trở đi nó cứ bắt nhập trong màn hình như bình thường  :angry2:  :angry2:  :angry2: , mình gửi lên xem bạn có sáng kiến gì không.


  • 0

#7 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 13 September 2013 - 09:06 AM

theo gợi ý của a Doan Van Ha thì mình gọi dc lệnh mvsetup ra nhưng k gọi được những option của nó  :D  :D  :D

(command (c:mvsetup) "align" "Rotate" (list 0 0 0)  "45" "")

bắt đầu từ chỗ align trở đi nó cứ bắt nhập trong màn hình như bình thường  :angry2:  :angry2:  :angry2: , mình gửi lên xem bạn có sáng kiến gì không.

Gợi ý của bạn mình cũng bị thế chưa ra cách nào

Cái này chắc bác Kakung làm rồi nhờ bác cho ý kiến


  • 0

#8 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 13 September 2013 - 09:20 AM

theo gợi ý của a Doan Van Ha thì mình gọi dc lệnh mvsetup ra nhưng k gọi được những option của nó  :D  :D  :D

(command (c:mvsetup) "align" "Rotate" (list 0 0 0)  "45" "")

bắt đầu từ chỗ align trở đi nó cứ bắt nhập trong màn hình như bình thường  :angry2:  :angry2:  :angry2: , mình gửi lên xem bạn có sáng kiến gì không.

Bạn ơi mình thử rồi cũng k được


  • 0

#9 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 13 September 2013 - 09:29 AM

Tôi đã nói ở trên là: lệnh lisp không thể dùng trong hàm command mà sao 2 bạn cứ cố nhét nó vào rồi rên rỉ là không được!


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#10 Namvanvo

Namvanvo

    Edu level: li5

  • Members
  • PipPipPipPipPip
  • 386 Bài viết
Điểm đánh giá: 42 (tàm tạm)

Đã gửi 13 September 2013 - 09:37 AM

2 bạn cứ cố nhét nó vào rồi rên rỉ là không được!

:D  :D  :D


  • 0

#11 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 13 September 2013 - 09:40 AM

ừ cảm ơn Hà vì mình Là lisp gà mờ mà


  • 0

#12 Namvanvo

Namvanvo

    Edu level: li5

  • Members
  • PipPipPipPipPip
  • 386 Bài viết
Điểm đánh giá: 42 (tàm tạm)

Đã gửi 13 September 2013 - 09:43 AM

ừ cảm ơn Hà vì mình Là lisp gà mờ mà

Gà mờ nhìu khi sẽ phát minh ra được những thứ không ngờ,  :D  :D  :D tiếp tục nghiên cứu đi bạn, cố nhét thì nó sẽ vào  :lol:


  • 0

#13 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1298 Bài viết
Điểm đánh giá: 518 (tốt)

Đã gửi 13 September 2013 - 10:15 AM

Gà mờ mà dám vào bới cái lisp dài nghìn trang này thì cũng đáng phục đó :D :D :D

Đừng dại mà nghe lời Namvanvo là đứt đuôi con "lòng lọc" đó :lol:


  • 0

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson


#14 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 13 September 2013 - 11:27 AM

không có ai giúp được à?

năn nỉ mọi người đấy


  • 0

#15 KangKung

KangKung

    biết lệnh array

  • Members
  • PipPipPip
  • 189 Bài viết
Điểm đánh giá: 227 (khá)

Đã gửi 13 September 2013 - 11:35 AM

Có đây:
(vl-load-com)
(vla-put-twistangle(vlax-ename->vla-object(car(entsel))) (/ pi 4))
  • 1

#16 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 13 September 2013 - 12:17 PM

Em biết mà chỉ có bác KaKung là đã dùng rồi!

Cảm ơn bác!


  • 0

#17 Namvanvo

Namvanvo

    Edu level: li5

  • Members
  • PipPipPipPipPip
  • 386 Bài viết
Điểm đánh giá: 42 (tàm tạm)

Đã gửi 13 September 2013 - 12:22 PM

Em biết mà chỉ có bác KaKung là đã dùng rồi!

Cảm ơn bác!

bạn dùng dc chưa, chỉ mình với.  :D  


  • 0

#18 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 13 September 2013 - 12:27 PM

Có đây:
(vl-load-com)
(vla-put-twistangle(vlax-ename->vla-object(car(entsel))) (/ pi 4))

Em chỉnh lại cái xoay trong

khung chữ nhật Layout

đưa lệnh của bác Kakung vào mà k được nhờ Bác và mọi người chỉ giáo


  • 0

#19 DanKhaosat

DanKhaosat

    biết lệnh scale

  • Members
  • PipPipPip
  • 149 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 13 September 2013 - 12:28 PM


http://www.cadviet.c...intsall_kvp.lsp

 

Em chỉnh lại cái xoay trong

khung chữ nhật Layout

đưa lệnh của bác Kakung vào mà k được nhờ Bác và mọi người chỉ giáo

Em chỉnh lại cái xoay trong

khung chữ nhật Layout

đưa lệnh của bác Kakung vào mà k được nhờ Bác và mọi người chỉ giáo


  • 0

#20 KangKung

KangKung

    biết lệnh array

  • Members
  • PipPipPip
  • 189 Bài viết
Điểm đánh giá: 227 (khá)

Đã gửi 13 September 2013 - 01:42 PM

Bạn thử Lisp này xem:

(defun C:test( / n vp)
  (vl-load-com)
  (if (= (getvar "Tilemode") 0)
    (progn
      (if (/= (getvar "cvport") 1) (command "PSPACE"))
      (setq vp(car(entsel "\n Select viewport:")))
      (setq n(cdr(assoc 69 (entget vp))))
      (command "MSPACE")
      (setvar "cvport" n)
      (vla-put-twistangle (vlax-ename->vla-object vp) (/ pi 4))
      (command "Zoom" "E")
      )
    (alert "\n Chuyen sang Layout truoc khi chay Lisp!")
    )
  (princ)
  )

 


  • 0